All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Carlo Marcelo Arenas Belón" <carenas@gmail.com>
To: git@vger.kernel.org
Cc: gitter.spiros@gmail.com, gitster@pobox.com,
	"Carlo Marcelo Arenas Belón" <carenas@gmail.com>
Subject: [PATCH] test-lib.sh: use awk instead of expr for a POSIX non integer check
Date: Tue,  8 Mar 2022 03:33:05 -0800	[thread overview]
Message-ID: <20220308113305.39395-1-carenas@gmail.com> (raw)
In-Reply-To: <20220304133702.26706-1-gitter.spiros@gmail.com>

Restrict the glibc version to a single version number and compare it
arithmetically against the base glibc version to avoid accidentally
matching against "2.3" and better supporting versions like "2.34.9000"

Signed-off-by: Carlo Marcelo Arenas Belón <carenas@gmail.com>
---
 t/test-lib.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index 8e59c58e7e7..f624f87eb81 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -518,9 +518,9 @@ else
 	setup_malloc_check () {
 		MALLOC_CHECK_=3	MALLOC_PERTURB_=165
 		export MALLOC_CHECK_ MALLOC_PERTURB_
-		if _GLIBC_VERSION=$(getconf GNU_LIBC_VERSION 2>/dev/null) &&
-		   _GLIBC_VERSION=${_GLIBC_VERSION#"glibc "} &&
-		   expr 2.34 \<= "$_GLIBC_VERSION" >/dev/null
+		local _GLIBC_VERSION=$(getconf GNU_LIBC_VERSION 2>/dev/null)
+		if echo "$_GLIBC_VERSION" | cut -d. -f1-2 |
+			awk '{ if ($2 - 2.34 < 0) exit 1 }'
 		then
 			g=
 			LD_PRELOAD="libc_malloc_debug.so.0"
-- 
2.35.1.505.g27486cd1b2d


  parent reply	other threads:[~2022-03-08 11:34 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-04 13:37 [PATCH v3] test-lib.sh: Use GLIBC_TUNABLES instead of MALLOC_CHECK_ on glibc >= 2.34 Elia Pinto
2022-03-04 19:59 ` Junio C Hamano
2022-03-08 11:33 ` Carlo Marcelo Arenas Belón [this message]
2022-03-08 23:55   ` [PATCH] test-lib.sh: use awk instead of expr for a POSIX non integer check Eric Sunshine
2022-03-08 23:58     ` Eric Sunshine
2022-03-09  0:05       ` Eric Sunshine
2022-03-09 17:47         ` Junio C Hamano
2022-03-09 20:07           ` Ævar Arnfjörð Bjarmason
2022-03-11 23:06             ` Eric Sunshine
2022-03-12 10:38               ` Ævar Arnfjörð Bjarmason
2022-03-13  2:20                 ` Junio C Hamano
2022-03-13  2:37                   ` Carlo Arenas
2022-03-13  7:34                     ` Junio C Hamano
2022-03-11 23:02           ` Eric Sunshine
2022-03-13 19:02   ` Elia Pinto
2022-04-04 20:39 ` [PATCH v3] test-lib.sh: Use GLIBC_TUNABLES instead of MALLOC_CHECK_ on glibc >= 2.34 Phillip Wood
2022-04-05 10:03   ` Making the tests ~2.5x faster (was: [PATCH v3] test-lib.sh: Use GLIBC_TUNABLES instead of MALLOC_CHECK_ on glibc >= 2.34) Ævar Arnfjörð Bjarmason
2022-04-05 13:36     ` Phillip Wood
2022-04-05 19:59       ` Ævar Arnfjörð Bjarmason

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220308113305.39395-1-carenas@gmail.com \
    --to=carenas@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=gitter.spiros@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.